Loading...
Searching...
No Matches
fourdst::config::is_config_wrapper< T > Struct Template Reference

Type trait to determine if a type is a Config wrapper. More...

`#include <cli.h>`

Inheritance diagram for fourdst::config::is_config_wrapper< T >:
[legend]
Collaboration diagram for fourdst::config::is_config_wrapper< T >:
[legend]

## Detailed Description

template<typename T>
struct fourdst::config::is_config_wrapper< T >

Type trait to determine if a type is a Config wrapper.

This is the base case which inherits from `std::false_type`.

Template Parameters

  T | The type to inspect.

The documentation for this struct was generated from the following file:

- src/config/include/fourdst/config/cli.h